    <div class="d-flex justify-content-center">
      <mat-spinner *ngIf="isLoading === true"></mat-spinner>
    </div>

    <div class="container-fluid tm-container-content tm-mt-60" *ngIf="isLoading === false">
      <div class="">
        <button class="btn btn-primary" [routerLink]="['/home']" (click)="scrollTop()">
          Volver a la tienda
        </button>
        <h2 class="col-12 tm-text-secondary">{{productElement.name}}</h2>
      </div>
      <div class="row tm-mb-90">
        <div class="col-xl-8 col-lg-7 col-md-6 col-sm-12">
          <img src={{productElement.imageUrl}} alt="Image" class="img-fluid">
        </div>
        <div class="col-xl-4 col-lg-5 col-md-6 col-sm-12">
          <div class="tm-bg-gray tm-video-details">
            <div class="mb-4">
              <h3 id="detallesProducto" class="tm-text-gray-dark mb-3">{{productElement.name}}</h3>
              <p id="descripcionProducto">{{productElement.description}}</p>
            </div>
            <div class="text-center mb-5">
              <div class="mr-4 mb-2">
                <h3 class="tm-text-gray-dark">Precio:</h3>
                <h4 class="tm-text-primary">${{productElement.price}}.00</h4>
              </div>
            </div>
            <div class="text-center mb-5">
              <div class="mr-4 mb-2">
                <h3 class="tm-text-gray-dark">Stock disponible:</h3>
                <h4 class="tm-text-primary">{{productElement.stock}}</h4>
              </div>
            </div>
            <div class="text-center mb-5">
              <div class="mr-4 mb-2">
                <h3 class="tm-text-gray-dark">Cantidad a comprar:</h3>
                <button class="btn btn-primary" (click)="addProductQuantity()">
                  <mat-icon>keyboard_arrow_up</mat-icon>
                </button>
                <h4>
                  {{cantidad}}
                </h4>
                <button class="btn btn-primary" (click)="removeProductQuantity()">
                  <mat-icon>keyboard_arrow_down</mat-icon>
                </button>
              </div>
            </div>
            <div class="text-center mb-5">
              <button class="btn btn-primary tm-btn-big" (click)="buyProduct()">Comprar</button>&nbsp;
              <button class="btn btn-primary tm-btn-big" (click)="addProductToCart()">Añadir al carrito</button>
            </div>


            <div>
              <h3 class="tm-text-gray-dark mb-3">Categoria:</h3>
              <a href="#" class="tm-text-primary mr-4 mb-2 d-inline-block" [routerLink]="['/store']" [queryParams]="{category: productElement.category.name}" (click)="scrollTop()">{{productElement.category.name}}</a>
            </div>
          </div>
        </div>
      </div>